Imports System
Imports System.ComponentModel
Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Imports DevExpress.Persistent.Base.General
Imports System.Data.SqlClient
Imports System.Configuration
Imports System.Linq
Imports System.Linq.Expressions
Imports DevExpress.ExpressApp.ConditionalAppearance

<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
<DeferredDeletion(False)> _
Public Class PartnerAccountConnectionInfoQuerySelectedCustomers
    Inherits BaseObject
    Private _PartnerAccountConnectionInfoQueryHeader As PartnerAccountConnectionInfoQueryHeader
    Private _Customers As Customers 'Partner
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    <Association("PartnerAccountConnectionInfoQueryHeader-PartnerAccountConnectionInfoQuerySelectedCustomers", GetType(PartnerAccountConnectionInfoQueryHeader))> _
    Property PartnerAccountConnectionInfoQueryHeader As PartnerAccountConnectionInfoQueryHeader
        Get
            Return _PartnerAccountConnectionInfoQueryHeader
        End Get
        Set(ByVal value As PartnerAccountConnectionInfoQueryHeader)
            SetPropertyValue("PartnerAccountConnectionInfoQueryHeader", _PartnerAccountConnectionInfoQueryHeader, value)
        End Set
    End Property
    Property Customers() As Customers
        Get
            Return _Customers
        End Get
        Set(ByVal value As Customers)
            SetPropertyValue("Customers", _Customers, value)
        End Set
    End Property
End Class
